Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Bulk Update Channel Content Overrides

Updates multiple existing channel content overrides in a single operation. Supports partial success — individual failures don’t affect successful updates.

PATCH/api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/bulk
Path parameters
team_slugstringrequired

Team slug

app_slugstringrequired

App slug

channel_idstringrequired

Channel ID

Request body
requiredapplication/json

Channel content data to update

contentinternal_pkg_webserver_v1.BulkUpdateChannelContentItem[]required
max items 100
Show properties
Array of internal_pkg_webserver_v1.BulkUpdateChannelContentItem
content_idstringrequired
relationshipsstring[] | null
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.LocalizedValue[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.LocalizedValue
language_codestring
valuestring
valuestring | null
Responses
200

OK

datainternal_pkg_webserver_v1.BulkUpdateChannelContentResponserequired
Show properties
failedinternal_pkg_webserver_v1.BulkUpdateChannelContentFailedUpdate[] | null
Show properties
Array of internal_pkg_webserver_v1.BulkUpdateChannelContentFailedUpdate
payloadinternal_pkg_webserver_v1.BulkUpdateChannelContentItem
Show properties
content_idstringrequired
relationshipsstring[] | null
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.LocalizedValue[] | null
valuestring | null
reasonstring
successfulgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ChannelContent[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.ChannelContent
created_atstring
field_typestring
idstring
parent_idstring
parent_typestring
previewstring[]
relationshipsstring[]
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.LocalizedValue[]
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.LocalizedValue
language_codestring
valuestring
updated_atstring
valuestring
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Bad Request

detailsstring[]
messagestring
successbooleanrequired
404

Not Found

detailsstring[]
messagestring
successbooleanrequired
500

Internal Server Error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.enad.io/api/v1/string/string/channels/string/content/bulk' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "content": [
    {
      "content_id": "string",
      "relationships": [
        "string"
      ],
      "translations": [
        {
          "language_code": "string",
          "value": "string"
        }
      ],
      "value": "string"
    }
  ]
}'
Response
{
  "data": {
    "failed": [
      {
        "payload": {
          "content_id": "string",
          "relationships": [
            "string"
          ],
          "translations": [
            {
              "language_code": "string",
              "value": "string"
            }
          ],
          "value": "string"
        },
        "reason": "string"
      }
    ],
    "successful": [
      {
        "created_at": "string",
        "field_type": "string",
        "id": "string",
        "parent_id": "string",
        "parent_type": "string",
        "preview": [
          "string"
        ],
        "relationships": [
          "string"
        ],
        "translations": [
          {
            "language_code": "string",
            "value": "string"
          }
        ],
        "updated_at": "string",
        "value": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}